Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594055 - [RHEL5] bonding mode 0 doesn't resend IGMP after a failure [rhel-5.3.z]
Summary: [RHEL5] bonding mode 0 doesn't resend IGMP after a failure [rhel-5.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 570645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 13:02 UTC by RHEL Product and Program Management
Modified: 2016-04-26 15:27 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a system was configured using channel bonding in "mode=0" (round-robin balancing) with multicast, IGMP traffic was transmitted via a single interface. If that interface failed (due to a port, NIC or cable failure, for example), IGMP was not transmitted via another port in the group, thus resulting in packets for the previously-registered multicast group not being routed correctly.
Clone Of:
Environment:
Last Closed: 2010-07-07 15:17:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0508 normal SHIPPED_LIVE kernel bug fix update 2010-07-07 15:17:06 UTC

Description RHEL Product and Program Management 2010-05-20 13:02:21 UTC
This bug has been copied from bug #570645 and has been proposed
to be backported to 5.3 z-stream (EUS).

Comment 3 Jiri Pirko 2010-05-27 17:42:24 UTC
in 2.6.18-128.18.1.el5

Comment 4 Jaromir Hradilek 2010-06-25 12:01:42 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When a system was configured using channel bonding in "mode=0" (round-robin balancing) with multicast, IGMP traffic was transmitted via a single interface. If that interface failed (due to a port, NIC or cable failure, for example), IGMP was not transmitted via another port in the group, thus resulting in packets for the previously-registered multicast group not being routed correctly.

Comment 7 errata-xmlrpc 2010-07-07 15:17:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0508.html


Note You need to log in before you can comment on or make changes to this bug.